What's in the data?
================

This is data about super heroes and villains. It's that simple.

## Files

* all.json
  This file contains both heroes AND villains. All the code examples
  were written using this file. It was previously named heroes.json just
  to be confusing :P

* all.csv
  Same as above, just csv.

* just_heroes.json
  Just the heroes. For real this time.

* just_villains.json
  Just the villains.

## Where did it come from?

It was scraped from the web. Ask me for more details offline if you want.

## Schema

Each record looks like this:

```json
  {
    "name": "Batman",
    "type": "hero",
    "id": 1339970999,
    "intelligence": 1.0,
    "strength": 0.28,
    "speed": 0.27,
    "durability": 0.42,
    "power": 0.37,
    "combat": 1.0,
    "Alternate_Identities": "Batman",
    "Aliases": "Insider, Matches Malone",
    "Nicknames": "The Dark Knight, The Caped Crusader, The Worlds Greatest Detective, Matches Malone",
    "Place_of_birth": "Crest Hill, Bristol Township; Gotham County",
    "First_appearance": "Detective Comics #27 (May, 1939)",
    "Alignment": "good",
    "Gender": "male",
    "Race": "",
    "Height_cm": "188",
    "Height_ft": "6'2",
    "Weight_lb": "210",
    "Weight_km": "95",
    "Eye_color": "blue",
    "Hair_color": "black",
    "Occupation": "Businessman",
    "Base": "Batcave, Stately Wayne Manor, Gotham City; Hall of Justice, Justice League Watchtower",
    "Relatives": "Dr. Thomas Wayne (father, deceased), Martha Wayne (mother, deceased), Philip Wayne (uncle, foster father, deceased), Alfred Pennyworth (butler, foster father), Dick Grayson (Nightwing - adopted son), Jason Todd (Robin II - adopted son, deceased), Tim Drake (Robin III - protégé)",
    "Group_Affiliation": "Batman Family, Batman Incorporated, Justice League, Outsiders, Wayne Enterprises, Club of Heroes",
    "Friends": "",
    "Enemies": "",
    "superpower_Ability_Shift": 0,
    "superpower_Absorption": 0,
    "superpower_Accuracy": 1,
    "superpower_Adaptation": 0,
    "superpower_Aerokinesis": 0,
    "superpower_Agility": 1,
    "superpower_Animal_Attributes": 0,
    "superpower_Animal_Oriented_Powers": 0,
    "superpower_Animation": 0,
    "superpower_Anti-Gravity": 0,
    "superpower_Apotheosis": 0,
    "superpower_Astral_Projection": 0,
    "superpower_Astral_Trap": 0,
    "superpower_Astral_Travel": 0,
    "superpower_Atmokinesis": 0,
    "superpower_Audiokinesis": 0,
    "superpower_Banish": 0,
    "superpower_Biokinesis": 0,
    "superpower_Bullet_Time": 0,
    "superpower_Camouflage": 0,
    "superpower_Changing_Armor": 0,
    "superpower_Chlorokinesis": 0,
    "superpower_Chronokinesis": 0,
    "superpower_Clairvoyance": 0,
    "superpower_Cold_Resistance": 0,
    "superpower_Cross-Dimensional_Awareness": 0,
    "superpower_Cross-Dimensional_Travel": 0,
    "superpower_Cryokinesis": 0,
    "superpower_Danger_Sense": 0,
    "superpower_Darkforce_Manipulation": 0,
    "superpower_Death_Touch": 0,
    "superpower_Density_Control": 0,
    "superpower_Dexterity": 0,
    "superpower_Duplication": 0,
    "superpower_Durability": 0,
    "superpower_Echokinesis": 0,
    "superpower_Elasticity": 0,
    "superpower_Electrical_Transport": 0,
    "superpower_Electrokinesis": 0,
    "superpower_Elemental_Transmogrification": 0,
    "superpower_Empathy": 0,
    "superpower_Endurance": 1,
    "superpower_Energy_Absorption": 0,
    "superpower_Energy_Armor": 0,
    "superpower_Energy_Beams": 0,
    "superpower_Energy_Blasts": 0,
    "superpower_Energy_Constructs": 0,
    "superpower_Energy_Manipulation": 0,
    "superpower_Energy_Resistance": 0,
    "superpower_Enhanced_Hearing": 0,
    "superpower_Enhanced_Memory": 0,
    "superpower_Enhanced_Senses": 0,
    "superpower_Enhanced_Smell": 0,
    "superpower_Enhanced_Touch": 0,
    "superpower_Entropy_Projection": 0,
    "superpower_Fire_Resistance": 0,
    "superpower_Flight": 0,
    "superpower_Force_Fields": 0,
    "superpower_Geokinesis": 0,
    "superpower_Gliding": 0,
    "superpower_Gravitokinesis": 0,
    "superpower_Grim_Reaping": 0,
    "superpower_Healing_Factor": 0,
    "superpower_Heat_Generation": 0,
    "superpower_Heat_Resistance": 0,
    "superpower_Human_physical_perfection": 1,
    "superpower_Hydrokinesis": 0,
    "superpower_Hyperkinesis": 0,
    "superpower_Hypnokinesis": 0,
    "superpower_Illumination": 0,
    "superpower_Illusions": 0,
    "superpower_Immortality": 0,
    "superpower_Insanity": 0,
    "superpower_Intangibility": 0,
    "superpower_Intelligence": 1,
    "superpower_Intuitive_aptitude": 0,
    "superpower_Invisibility": 0,
    "superpower_Invulnerability": 0,
    "superpower_Jump": 0,
    "superpower_Lantern_Power_Ring": 0,
    "superpower_Latent_Abilities": 0,
    "superpower_Levitation": 0,
    "superpower_Longevity": 0,
    "superpower_Magic": 0,
    "superpower_Magic_Resistance": 0,
    "superpower_Magnetokinesis": 0,
    "superpower_Matter_Absorption": 0,
    "superpower_Melting": 0,
    "superpower_Mind_Blast": 0,
    "superpower_Mind_Control": 0,
    "superpower_Mind_Control_Resistance": 0,
    "superpower_Molecular_Combustion": 0,
    "superpower_Molecular_Dissipation": 0,
    "superpower_Molecular_Immobilization": 0,
    "superpower_Molecular_Manipulation": 0,
    "superpower_Natural_Armor": 0,
    "superpower_Natural_Weapons": 0,
    "superpower_Nova_Force": 0,
    "superpower_Omnilingualism": 0,
    "superpower_Omnipotence": 0,
    "superpower_Omnitrix": 0,
    "superpower_Orbing": 0,
    "superpower_Phasing": 0,
    "superpower_Photographic_Reflexes": 0,
    "superpower_Photokinesis": 0,
    "superpower_Physical_Anomaly": 0,
    "superpower_Portal_Creation": 0,
    "superpower_Possession": 0,
    "superpower_Power_Absorption": 0,
    "superpower_Power_Augmentation": 0,
    "superpower_Power_Cosmic": 0,
    "superpower_Power_Nullifier": 0,
    "superpower_Power_Sense": 0,
    "superpower_Power_Suit": 0,
    "superpower_Precognition": 0,
    "superpower_Probability_Manipulation": 0,
    "superpower_Projection": 0,
    "superpower_Psionic_Powers": 0,
    "superpower_Psychokinesis": 0,
    "superpower_Pyrokinesis": 0,
    "superpower_Qwardian_Power_Ring": 0,
    "superpower_Radar_Sense": 0,
    "superpower_Radiation_Absorption": 0,
    "superpower_Radiation_Control": 0,
    "superpower_Radiation_Immunity": 0,
    "superpower_Reality_Warping": 0,
    "superpower_Reflexes": 0,
    "superpower_Regeneration": 0,
    "superpower_Resurrection": 0,
    "superpower_Seismic_Power": 0,
    "superpower_Self-Sustenance": 0,
    "superpower_Separation": 0,
    "superpower_Shapeshifting": 0,
    "superpower_Size_Changing": 0,
    "superpower_Sonar": 0,
    "superpower_Sonic_Scream": 0,
    "superpower_Spatial_Awareness": 0,
    "superpower_Stamina": 1,
    "superpower_Stealth": 1,
    "superpower_Sub-Mariner": 0,
    "superpower_Substance_Secretion": 0,
    "superpower_Summoning": 0,
    "superpower_Super_Breath": 0,
    "superpower_Super_Speed": 0,
    "superpower_Super_Strength": 0,
    "superpower_Symbiote_Costume": 0,
    "superpower_Technopath/Cyberpath": 0,
    "superpower_Telekinesis": 0,
    "superpower_Telepathy": 0,
    "superpower_Telepathy_Resistance": 0,
    "superpower_Teleportation": 0,
    "superpower_Terrakinesis": 0,
    "superpower_Thermokinesis": 0,
    "superpower_Thirstokinesis": 0,
    "superpower_Time_Travel": 0,
    "superpower_Timeframe_Control": 0,
    "superpower_Toxikinesis": 0,
    "superpower_Toxin_and_Disease_Resistance": 0,
    "superpower_Umbrakinesis": 0,
    "superpower_Underwater_breathing": 0,
    "superpower_Vaporising_Beams": 0,
    "superpower_Vision_-_Heat": 0,
    "superpower_Vision_-_Infrared": 0,
    "superpower_Vision_-_Microscopic": 0,
    "superpower_Vision_-_Night": 0,
    "superpower_Vision_-_Telescopic": 0,
    "superpower_Vision_-_Thermal": 0,
    "superpower_Vision_-_X-Ray": 0,
    "superpower_Vitakinesis": 0,
    "superpower_Wallcrawling": 0,
    "superpower_Weapon-based_Powers": 1,
    "superpower_Weapons_Master": 1,
    "superpower_Web_Creation": 0,
    "superpower_Wishing": 0
  },
```